OpenStack Image Registry and Delivery Service (Glance)

instance build failure when building from snapshot

Reported by Antony Messerli on 2011-09-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Medium
Brian Waldon
Diablo
Undecided
Unassigned

Bug Description

Instance fails to build from a swift container. Error from Glance API:

2011-09-14 17:40:42 DEBUG [routes.middleware] Matched GET /images/16
2011-09-14 17:40:42 DEBUG [routes.middleware] Route path: '/images/:(id)', defaults: {'action': u'show', 'controller': <glance.common.wsgi.Resource object at 0x23f1e90>}
2011-09-14 17:40:42 DEBUG [routes.middleware] Match dict: {'action': u'show', 'controller': <glance.common.wsgi.Resource object at 0x23f1e90>, 'id': u'16'}
2011-09-14 17:40:42 DEBUG [glance.api.v1.images] image '16' is a cache MISS
2011-09-14 17:40:42 DEBUG [glance.api.v1.images] tee'ing image '16' into cache
2011-09-14 17:40:42 WARNING [glance.utils] xattrs not supported, skipping...
2011-09-14 17:40:42 DEBUG [glance.store.swift] Creating Swift connection with (auth_address=swift, user=user, key=blahblah, snet=False)
2011-09-14 17:40:43 DEBUG [eventlet.wsgi.server] Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/eventlet/wsgi.py", line 351, in handle_one_response
    write(''.join(towrite))
  File "/usr/lib/pymodules/python2.6/eventlet/wsgi.py", line 301, in write
    _writelines(towrite)
  File "/usr/lib/python2.6/socket.py", line 328, in writelines
    self.flush()
  File "/usr/lib/python2.6/socket.py", line 297, in flush
    self._sock.sendall(buffer(data, write_offset, buffer_size))
  File "/usr/lib/pymodules/python2.6/eventlet/greenio.py", line 283, in sendall
    tail = self.send(data, flags)
  File "/usr/lib/pymodules/python2.6/eventlet/greenio.py", line 269, in send
    total_sent += fd.send(data[total_sent:], flags)
error: [Errno 32] Broken pipe
2011-09-14 17:40:43 DEBUG [eventlet.wsgi.server] - - [14/Sep/2011 17:40:43] "GET /v1/images/16 HTTP/1.1" 200 263377 1.304464
2011-09-14 17:40:44 DEBUG [glance.api.middleware.version_negotiation] Processing request: GET / Accept:
2011-09-14 17:40:44 DEBUG [glance.api.middleware.version_negotiation] Unknown accept header: ...returning version choices.
2011-09-14 17:40:44 DEBUG [eventlet.wsgi.server] - - [14/Sep/2011 17:40:44] "GET / HTTP/1.0" 300 358 0.000812
2011-09-14 17:40:46 DEBUG [glance.api.middleware.version_negotiation] Processing request: GET / Accept:
2011-09-14 17:40:46 DEBUG [glance.api.middleware.version_negotiation] Unknown accept header: ...returning version choices.

Brian Waldon (bcwaldon) wrote :

Hmm, I can't seem to reproduce this. Can you make sure there wasn't a configuration issue and catch up with me on IRC?

Changed in glance:
assignee: nobody → Brian Waldon (bcwaldon)
status: New → In Progress
Brian Waldon (bcwaldon) wrote :

Okay, I see how to reproduce it. Add an image to swift through glance and that works fine. Using the url returned as the location of that image, however, will not work if you try to add a second image using it.

Changed in glance:
importance: Undecided → Medium
Jay Pipes (jaypipes) on 2011-09-26
Changed in glance:
milestone: none → essex-1

Reviewed: https://review.openstack.org/672
Committed: http://github.com/openstack/glance/commit/4847ceb59fe35481fd42ddc9369b7d3814eca721
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 4847ceb59fe35481fd42ddc9369b7d3814eca721
Author: Brian Waldon <email address hidden>
Date: Mon Sep 26 17:37:45 2011 -0400

    Make remote swift image streaming functional

    Fixes lp 850425

    Change-Id: I117d45f7d5b1991296736b7915857e8764aad30d

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2011-11-17
Changed in glance:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/1772
Committed: http://github.com/openstack/glance/commit/dba6b9ff343b2d1e41005def3965349370392d68
Submitter: Jenkins
Branch: stable/diablo

 tag in-stable-diablo
 done

commit dba6b9ff343b2d1e41005def3965349370392d68
Author: Brian Waldon <email address hidden>
Date: Mon Sep 26 17:37:45 2011 -0400

    Make remote swift image streaming functional

    Fixes lp 850425

    (cherry picked from commit 4847ceb59fe35481fd42ddc9369b7d3814eca721)

    Change-Id: I117d45f7d5b1991296736b7915857e8764aad30d

Thierry Carrez (ttx) on 2012-04-05
Changed in glance:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers